Name: libgcrypt
Version: 1.8.5
Release: 1
License: GPL-3.0-or-later
Summary: General purpose cryptographic library 
Url: https://gnupg.org/software/libgcrypt/index.html

Source0: https://gnupg.org/ftp/gcrypt/libgcrypt/libgcrypt-%{version}.tar.bz2
Source1: libgcrypt-random.conf

Patch0: libgcrypt-host-configuration.patch
Patch1: libgcrypt-random-urandom.patch

BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libgpg-error-devel

%description
Libgcrypt is a general purpose cryptographic library originally based on code 
from GnuPG. It provides functions for all cryptograhic building blocks: 
symmetric cipher algorithms (AES, Arcfour, Blowfish, Camellia, CAST5, ChaCha20
DES, GOST28147, Salsa20, SEED, Serpent, Twofish) and modes (ECB,CFB,CBC,OFB,CTR
CCM,GCM,OCB,POLY1305,AESWRAP), hash algorithms (MD2, MD4, MD5, GOST R 34.11,
RIPE-MD160, SHA-1, SHA2-224, SHA2-256, SHA2-384, SHA2-512, SHA3-224, SHA3-256,
SHA3-384, SHA3-512, SHAKE-128, SHAKE-256, TIGER-192, Whirlpool), MACs (HMAC for
all hash algorithms, CMAC for all cipher algorithms, GMAC-AES, GMAC-CAMELLIA,
GMAC-TWOFISH, GMAC-SERPENT, GMAC-SEED, Poly1305, Poly1305-AES,
Poly1305-CAMELLIA, Poly1305-TWOFISH, Poly1305-SERPENT, Poly1305-SEED), public
key algorithms (RSA, Elgamal, DSA, ECDSA, EdDSA, ECDH), large integer functions
random numbers and a lot of supporting functions.


%package devel
Summary: libgcrypt development files

Requires: libgcrypt20 = %{version}-%{release}

%description devel
libgcrypt development files


%package -n libgcrypt20
Summary: libgcrypt library

%description -n libgcrypt20
libgcrypt library


%prep

%setup -q -n %{name}-%{version}

%patch0 -p1
%patch1 -p1


%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --enable-random=linux \
  --enable-shared \
  --disable-static \
  --with-aix-soname=svr4

%make_build


%install

%make_install

install -D -m 0755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/gcrypt/random.conf

# don't ship .la file
rm %{buildroot}/%{_libdir}/libgcrypt.la


%files devel
%defattr(-, qsys, *none)

%{_bindir}/dumpsexp
%{_bindir}/hmac256
%{_bindir}/libgcrypt-config
%{_bindir}/mpicalc

%{_includedir}/gcrypt.h

%{_libdir}/libgcrypt.so
%{_libdir}/pkgconfig/libgcrypt.pc

%{_datadir}/aclocal/libgcrypt.m4

%{_infodir}/gcrypt.info*
%{_infodir}/gcrypt.info-1*
%{_infodir}/gcrypt.info-2*

%config(noreplace) %{_sysconfdir}/gcrypt/random.conf

%{_mandir}/man1/hmac256.1*


%files -n libgcrypt20
%defattr(-, qsys, *none)

%{_libdir}/libgcrypt.so.20


%changelog
* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 1.8.5
- Use generic paths for man and info pages to allow for compression

* Mon Feb 10 2020 Mark Irish <mirish@ibm.com> - 1.8.5
- Initial package
